summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/ecl/README11
-rw-r--r--development/ecl/ecl.SlackBuild100
-rw-r--r--development/ecl/ecl.info10
-rw-r--r--development/ecl/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/development/ecl/README b/development/ecl/README
new file mode 100644
index 0000000000..b5c2b8d2b5
--- /dev/null
+++ b/development/ecl/README
@@ -0,0 +1,11 @@
+ECL is an implementation of the Common Lisp language as defined by the
+ANSI X3J13 specification. The most relevant features are:
+- A bytecodes compiler and interpreter.
+- Compiles Lisp also with any C/C++ compiler.
+- It can build standalone executables and libraries.
+- ASDF, Sockets, Gray streams, MOP, and other useful components.
+- Extremely portable.
+- A reasonable license.
+
+libatomic_ops and gc are optional dependencies; if they are not present
+during build, ecl will use internal copies of each.
diff --git a/development/ecl/ecl.SlackBuild b/development/ecl/ecl.SlackBuild
new file mode 100644
index 0000000000..3828151a5c
--- /dev/null
+++ b/development/ecl/ecl.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for ecl (embeddedable common-lisp)
+
+# Copyright 2013 Markus Hutmacher <mailing@markhu.de>
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ecl
+VERSION=${VERSION:-13.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCS="ANNOUNCEMENT INSTALL README.1st Copyright LGPL"
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/ecl/ecl.info b/development/ecl/ecl.info
new file mode 100644
index 0000000000..91fd45ebac
--- /dev/null
+++ b/development/ecl/ecl.info
@@ -0,0 +1,10 @@
+PRGNAM="ecl"
+VERSION="13.5.1"
+HOMEPAGE="http://ecls.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/ecls/files/ecls/13.5/ecl-13.5.1.tgz"
+MD5SUM="f6bb59d9383c51fc94e1c7ca5cf1c586"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Markus Hutmacher"
+EMAIL="mailing@markhu.de"
diff --git a/development/ecl/slack-desc b/development/ecl/slack-desc
new file mode 100644
index 0000000000..656c790945
--- /dev/null
+++ b/development/ecl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ecl: ecl (Embeddable Common-Lisp)
+ecl:
+ecl: ECL (Embeddable Common-Lisp) is an interpreter of the Common-Lisp
+ecl: language as described in the X3J13 Ansi specification,
+ecl: featuring CLOS (Common-Lisp Object System), conditions, loops,
+ecl: etc, plus a translator to C, which can produce standalone
+ecl: executables
+ecl:
+ecl: Homepage: http://ecls.sourceforge.net/
+ecl:
+ecl: